# Interface Action<T>

Type Parameters:
  `T` - The type of object which this action accepts.

All Known Subinterfaces:
  `AttributeCompatibilityRule<T>, AttributeDisambiguationRule<T>, ComponentMetadataSupplier`

@HasImplicitReceiver public interface Action<T>
Performs some action against objects of type T.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(T t)`
Performs this action against the given object.

## Method Details

### execute

void execute(T t)
Performs this action against the given object.

Parameters:
  `t` - The object to perform the action on.